var UIP;

function ImportarCatalogoLineas(){	
	var ILinea;
	var EFile;
	var ESheet;
	var lgItems;
	var itRows;
	var stFile;
	var stTemp;
	var itCount=0;
	var codigoP="";
	
	stFile=Application.OpenFile("Archivos de excel (*.xls)|*.xls");	
	if (stFile==""){		
		return false;
	}
		
	UIP=Application.NewUIProgress();
	UIP.Caption="Importando lineas";
	UIP.Min=0;
	
	EFile=Application.NewObject("Excel.Application");
	EFile.WorkBooks.Open (stFile);
	ILinea=Application.NewObject("EDOFx.Linea");
	ILinea.ADOCnn=Application.adoCnn;
	
    // si es la versin de Excel 97, asigna la hoja activa ( ActiveSheet )
	if (EFile.Application.Version>=8){
		ESheet = EFile.ActiveSheet;
	}
	else{
		ESheet = EFile;
	}
	
	itRows=ESheet.UsedRange.Rows.Count;
	UIP.Max=itRows;
	UIP.Show();
	
	Application.MouseHourglass();
		
	for (lgItems=2;lgItems<=itRows;lgItems++){
	
		try{
			ILinea.AddNew();
					
			if (ILinea.LoadFromADOCByCodigo(ESheet.Cells(lgItems,1))==false){
				codigoP="";
				codigoP=ESheet.Cells(lgItems,1);						
				codigoP=codigoP+"";
				codigoP=codigoP.toUpperCase();
				ILinea.Codigo=codigoP;
							
				ILinea.Descripcion=ESheet.Cells(lgItems,2);
				
				UIP.TopTitle="Almacenando "+ILinea.Descripcion;
				
				stTemp=ESheet.Cells(lgItems,3)+"";
				
				switch (stTemp.toUpperCase()){
					case "A":
						ILinea.Clase=4; //cArticulo
						break;
					case "M":
						ILinea.Clase=1; //cMateria_prima
						break;
					case "R":
						ILinea.Clase=2; //cReceta
						break;
					default:
						ILinea.Clase=4; //cArtculo
						break;
				}
				
				ILinea.Comision1=ESheet.Cells(lgItems,4);
				ILinea.Comision2=ESheet.Cells(lgItems,5);
				ILinea.Comision3=ESheet.Cells(lgItems,6);
				ILinea.Comision4=ESheet.Cells(lgItems,7);
				ILinea.Comision5=ESheet.Cells(lgItems,8);
				
				ILinea.Visible=true;
				
				if (!ILinea.Update()){
					Log("Error al procesar fila "+lgItems+". Error al guardar producto ("+ILinea.Descripcion+") "+ILinea.lastErrDescrip);
				}
				else{
					itCount=itCount+1;
				}
			}else{
				Log("Error al procesar fila "+lgItems+". El producto con cdigo "+ESheet.Cells(lgItems,1)+" ya se encuentra registrado.");
			}
			
		}catch(e){
			Log("Error al procesar fila "+lgItems);
		}
		UIP.Value=lgItems;
		Application.eDoEvents();
	}
	
	Application.CloseUIProgress(UIP);
	Application.MouseDefault();
	eBasic.eMsgbox("Cantidad de registros importados "+itCount,6);
	EFile.ActiveWorkBook.Close(false);
	EFile.Quit();
	ILinea=null;
	EFile=null;
	ESheet=null;
	return true;
}

function Log(Error){
	if (Error!="")
		Application.FireEventLog(Error);
}

function Procesar(){
	try{
		return ImportarCatalogoLineas();
	}catch(e)
	{
		if(UIP!=null){
			Application.CloseUIProgress(UIP);
			Application.MouseDefault();
		}
		Log("Error al ejecutar subprograma");
		throw e;
		return false;
	}
}
Procesar();