var UIP;

function ImportarCatalogoLineas(){	
	var ILinea;
	var FSystem;
	var TextStream;
	var stArray=new Array();
	var stFile;
	var stLine;
	var itLines;
	var itCount=0;
	var stTemp;
	var codigoP="";
	
	UIP=Application.NewUIProgress();
	UIP.Caption="Importando lineas"
	UIP.Min=0;
	
	stFile=Application.OpenFile("Archivos de texto (*.txt)|*.txt");
	
	if (stFile==""){
		return false;
	}
	
	FSystem=Application.NewObject("Scripting.FileSystemObject");
	ILinea=Application.NewObject("EDOFx.Linea");
	ILinea.ADOCnn=Application.adoCnn;
	TextStream=FSystem.OpenTextFile(stFile);
	
	if (FSystem.FileExists(stFile)==false){
		return false;
	}
	
	itLines=LinesCount(stFile, FSystem);
	UIP.Max=itLines+1;
	UIP.Show();
	itLines=1;
	
	Application.MouseHourglass();
	Application.eDoEvents();
	
	while (TextStream.AtEndOfStream==false){
		try{
			
			stLine=TextStream.ReadLine();
			stArray=stLine.split("|");
			
			ILinea.AddNew();
			
			if (ILinea.LoadFromADOCByCodigo(stArray[0])==false){
				codigoP="";
				codigoP=stArray[0];
				codigoP=codigoP+"";
				codigoP=codigoP.toUpperCase();
				ILinea.Codigo=codigoP;
				
				ILinea.Descripcion=stArray[1];
				
				UIP.TopTitle="Almacenando "+ILinea.Descripcion;
				
				stTemp=stArray[2]+"";
						
				switch (stTemp.toUpperCase()){
					case "A":
						ILinea.Clase=4; //cArticulo
						break;
					case "M":
						ILinea.Clase=1; //cMateria_prima
						break;
					case "R":
						ILinea.Clase=2; //cReceta
						break;
					default:
						ILinea.Clase=4; //cArtculo
						break;
				}
				
				ILinea.Comision1=parseFloat("0"+stArray[3]);
				ILinea.Comision2=parseFloat("0"+stArray[4]);
				ILinea.Comision3=parseFloat("0"+stArray[5]);
				ILinea.Comision4=parseFloat("0"+stArray[6]);
				ILinea.Comision5=parseFloat("0"+stArray[7]);
				
				ILinea.Visible=true;
				if (!ILinea.Update()){
					Log("Error al procesar fila "+itLines+". Error al guardar producto ("+ILinea.Descripcion+") "+ILinea.lastErrDescrip);
				}
				else{
					itCount=itCount+1;
				}
				
			}else{
				Log("Error al procesar fila "+itLines+". El producto con cdigo "+stArray[0]+" ya se encuentra registrado.");
			}
			
		}catch(e){
			Log("Error al procesar fila "+itLines);
		}
		itLines=itLines+1;
		UIP.Value=itLines;		
		Application.eDoEvents();
	}
	Application.CloseUIProgress(UIP);
	Application.MouseDefault();
	eBasic.eMsgbox ("Cantidad de registros importados: "+itCount,6); 	
	TextStream.Close();
	ILinea=null;
	FSystem=null;
	TextStream=null;
	stArray=null;
	return true;
}

function Log(Error){
	if (Error!="")
		Application.FireEventLog(Error);
}

function LinesCount(strFile, FSystemO){
	var StreamO;
	var itCount=0;

	StreamO=FSystemO.OpenTextFile(strFile);
	
	while (StreamO.AtEndOfStream==false){
		itCount=itCount+1;
		StreamO.SkipLine();
	}
	
	StreamO.Close();
	StreamO=null;
	return itCount;
}

function Procesar(){
	try{
		return ImportarCatalogoLineas();
	}catch(e)
	{
		if(UIP!=null){
			Application.CloseUIProgress(UIP);
			Application.MouseDefault();
		}
		Log("Error al ejecutar subprograma");
		throw e;
		return false;
	}
}
Procesar();